Is my environment supported by Plumbr?

The following environments are officially supported by Plumbr Agent.

In addition to the following list, Plumbr Agent is known to work with a number of other configurations. If you don’t find yours listed here, a test run might still prove Plumbr Agent to work out just fine.

 

Operating system JDK Application Server
Linux (glibc 2.4+) Oracle HotSpot (61, 7, 8u40+) Jetty (7+)
Windows (7, 8, 8.1, 10, Server 2008, Server 2012) Open JDK (61, 7, 8u40+) Apache Tomcat (6+)
Mac OS X (10.6+) IBM J9 JDK (72, 83) JBoss Application Server & EAP (6+)4
Oracle WebLogic Server (11g+)
RedHat WildFly (8+)
Glassfish (3+)
WAS Liberty (8.5.5.6+)

1) Oracle Hotspot and OpenJDK versions 1.6_20 – 1.6_24 are not supported.
2) Starting from version 7.1.3.10 (SR3 FP10), on Linux only
3) Starting from version 8.0.1.10 (SR1 FP10)
4) JBoss 7 with Java 1.6.0_26 is known not to work with Plumbr

Programming languages

Although officially Plumbr supports only Java, we have a long list of customers running Plumbr to monitor applications built using other JVM-based languages – such as Groovy, Jython, JRuby, Clojure, Scala etc.

On-Premises Plumbr

When you need to use our On-Premises offering, you need to install the Plumbr Server on your infrastructure. In such case, Plumbr Server requires a Linux operating system, Java, a Jetty servlet Engine and a MySQL database to run. See a more detailed description of requirements here.

Previous Question Next Question